table {
    border-collapse: collapse;
}

th {
    text-align: inherit;
}

progress {
    vertical-align: baseline;
}

.table {
    width: 100%;
    max-width: 100%;
    margin-bottom: 1rem;
    background-color: transparent;
}

.table th,
.table td {
    padding: 0.75rem;
    vertical-align: top;
    border-top: 1px solid #e9ecef;
}

.table thead th {
    vertical-align: bottom;
    border-bottom: 2px solid #e9ecef;
}

.table tbody + tbody {
    border-top: 2px solid #e9ecef;
}

.table .table {
    background-color: #fff;
}

.table-sm th,
.table-sm td {
    padding: 0.3rem;
}

.table-bordered {
    border: 1px solid #e9ecef;
}

.table-bordered th,
.table-bordered td {
    border: 1px solid #e9ecef;
}

.table-bordered thead th,
.table-bordered thead td {
    border-bottom-width: 2px;
}

.table-striped tbody tr:nth-of-type(odd) {
    background-color: rgba(0, 0, 0, 0.05);
}

.table-hover tbody tr:hover {
    background-color: rgba(0, 0, 0, 0.075);
}

.table-primary,
.table-primary > th,
.table-primary > td {
    background-color: #b8daff !important;
}

.table-hover .table-primary:hover {
    background-color: #9fcdff !important;
}

.table-hover .table-primary:hover > td,
.table-hover .table-primary:hover > th {
    background-color: #9fcdff !important;
}

.table-secondary,
.table-secondary > th,
.table-secondary > td {
    background-color: #dddfe2 !important;
}

.table-hover .table-secondary:hover {
    background-color: #cfd2d6 !important;
}

.table-hover .table-secondary:hover > td,
.table-hover .table-secondary:hover > th {
    background-color: #cfd2d6 !important;
}

.table-success,
.table-success > th,
.table-success > td {
    background-color: #c3e6cb !important;
}

.table-hover .table-success:hover {
    background-color: #b1dfbb !important;
}

.table-hover .table-success:hover > td,
.table-hover .table-success:hover > th {
    background-color: #b1dfbb !important;
}

.table-info,
.table-info > th,
.table-info > td {
    background-color: #bee5eb !important;
}

.table-hover .table-info:hover {
    background-color: #abdde5 !important;
}

.table-hover .table-info:hover > td,
.table-hover .table-info:hover > th {
    background-color: #abdde5 !important;
}

.table-warning,
.table-warning > th,
.table-warning > td {
    background-color: #ffeeba !important;
}

.table-hover .table-warning:hover {
    background-color: #ffe8a1 !important;
}

.table-hover .table-warning:hover > td,
.table-hover .table-warning:hover > th {
    background-color: #ffe8a1 !important;
}

.table-danger,
.table-danger > th,
.table-danger > td {
    background-color: #f5c6cb !important;
}

.table-hover .table-danger:hover {
    background-color: #f1b0b7 !important;
}

.table-hover .table-danger:hover > td,
.table-hover .table-danger:hover > th {
    background-color: #f1b0b7 !important;
}

.table-light,
.table-light > th,
.table-light > td {
    background-color: #fdfdfe !important;
}

.table-hover .table-light:hover {
    background-color: #ececf6 !important;
}

.table-hover .table-light:hover > td,
.table-hover .table-light:hover > th {
    background-color: #ececf6 !important;
}

.table-dark,
.table-dark > th,
.table-dark > td {
    background-color: #c6c8ca !important;
}

.table-hover .table-dark:hover {
    background-color: #b9bbbe !important;
}

.table-hover .table-dark:hover > td,
.table-hover .table-dark:hover > th {
    background-color: #b9bbbe !important;
}

.table-active,
.table-active > th,
.table-active > td {
    background-color: rgba(0, 0, 0, 0.075) !important;
}

.table-hover .table-active:hover {
    background-color: rgba(0, 0, 0, 0.075) !important;
}

.table-hover .table-active:hover > td,
.table-hover .table-active:hover > th {
    background-color: rgba(0, 0, 0, 0.075) !important;
}

.thead-inverse th {
    color: #fff;
    background-color: #212529;
}

.thead-default th {
    color: #495057;
    background-color: #e9ecef;
}

.table-inverse {
    color: #fff;
    background-color: #212529;
}

.table-inverse th,
.table-inverse td,
.table-inverse thead th {
    border-color: #32383e;
}

.table-inverse.table-bordered {
    border: 0;
}

.table-inverse.table-striped tbody tr:nth-of-type(odd) {
    background-color: rgba(255, 255, 255, 0.05);
}

.table-inverse.table-hover tbody tr:hover {
    background-color: rgba(255, 255, 255, 0.075);
}

@media (max-width: 991px) {
    .table-responsive {
        display: block;
        width: 100%;
        overflow-x: auto;
        -ms-overflow-style: -ms-autohiding-scrollbar;
    }

    .table-responsive.table-bordered {
        border: 0;
    }
}

@keyframes progress-bar-stripes {
    from {
        background-position: 1rem 0;
    }
    to {
        background-position: 0 0;
    }
}

.progress {
    display: flex;
    height: 1rem;
    overflow: hidden;
    font-size: 0.75rem;
    background-color: #e9ecef;
    border-radius: 0.25rem;
}

.progress-bar {
    display: flex;
    align-items: center;
    justify-content: center;
    color: #fff;
}

.progress-bar-striped {
    background-image: linear-gradient(45deg, rgba(255, 255, 255, 0.15) 25%, transparent 25%, transparent 50%, rgba(255, 255, 255, 0.15) 50%, rgba(255, 255, 255, 0.15) 75%, transparent 75%, transparent);
    background-size: 1rem 1rem;
}

.progress-bar-animated {
    animation: progress-bar-stripes 1s linear infinite;
}

/*------------------------------------------------------------------
[16. Tables and Datatables]
*/
/* Generic Tables
------------------------------------
*/
.table {
    margin-bottom: 0;
    margin-top: 5px;
}

.table thead tr th {
    text-transform: uppercase;
    font-weight: 500;
    font-family: 'Montserrat';
    font-size: 10.5px;
    letter-spacing: 0.06em;
    padding-top: 14px;
    padding-bottom: 14px;
    vertical-align: middle;
    border-bottom: 1px solid rgba(230, 230, 230, 0.7);
    color: rgba(44, 44, 44, 0.35);
    border-top: none;
}

.table thead tr th[class*='sorting_'] {
    color: #2c2c2c;
}

.table thead tr th:first-child {
    padding-left: 18px !important;
}

.table thead tr th .btn {
    margin-top: -20px;
    margin-bottom: -20px;
}

.table tbody tr td .btn-tag {
    background: rgba(44, 44, 44, 0.07);
    display: inline-block;
    margin: 5px;
    border-radius: 4px;
    padding: 5px;
    color: #62605a !important;
}

.table tbody tr td .btn-tag:hover {
    background: rgba(44, 44, 44, 0.15);
}

.table tbody tr td[class*='sorting_'] {
    color: #000;
}

.table tbody tr td .checkbox label::after {
    left: 0.5px;
}

.table tbody tr.selected td {
    background: #fef6dd;
}

.table.table-hover tbody tr:hover td {
    background: #daeffd !important;
}

.table.table-hover tbody tr.selected:hover td {
    background: #fef6dd !important;
}

.table.table-striped tbody tr td.highlight_red{
    background-color: #FF0000 !important;
    color:#FFFFFF;
}

.table.table-striped tbody tr td {
    background: #fafafa !important;
}

.table.table-striped tbody tr:nth-child(2n+1) td {
    background: #fff !important;
}

.table.table-borderless tbody tr td {
    border-top: 0;
}

.table.table-condensed {
    table-layout: fixed;
}

.table.table-condensed thead tr th {
    padding-left: 20px;
    padding-right: 20px;
}

.table.table-condensed tbody tr td {
    padding-top: 12px;
    padding-bottom: 12px;
}

.table.table-condensed thead tr th, .table.table-condensed tbody tr td, .table.table-condensed tbody tr td * {
    white-space: nowrap;
    vertical-align: middle;
    overflow: hidden;
    text-overflow: ellipsis;
}

.table.table-condensed tbody tr td * .combomulti {
    overflow: auto;
}

.table.table-condensed.table-detailed > tbody > tr.shown > td {
    background: #fef6dd;
}

.table.table-condensed.table-detailed > tbody > tr.shown > td:first-child:before {
    -webkit-transform: rotate(90deg);
    -ms-transform: rotate(90deg);
    transform: rotate(90deg);
}

.table.table-condensed.table-detailed > tbody > tr.shown + tr > td {
    background: rgba(250, 250, 250, 0.4);
    padding: 0px 40px;
}

.table.table-condensed.table-detailed > tbody > tr.shown + tr > td .table-inline {
    margin-top: 13px;
    margin-bottom: 13px;
    background: transparent;
}

.table.table-condensed.table-detailed > tbody > tr.shown + tr > td .table-inline tr, .table.table-condensed.table-detailed > tbody > tr.shown + tr > td .table-inline td {
    background: transparent;
    font-weight: 600;
}

.table.table-condensed.table-detailed > tbody > tr.row-details > td:first-child:before {
    content: '';
    display: none;
}

.table.table-condensed.table-detailed > tbody > tr > td:hover {
    cursor: pointer;
}

.table.table-condensed.table-detailed > tbody > tr > td:first-child:before {
    content: "\f054";
    display: inline-block;
    margin-right: 8px;
    font-size: 8px;
    top: -1px;
    position: relative;
    font-family: 'FontAwesome';
    -webkit-transition: all 0.12s linear;
    transition: all 0.12s linear;
}

.table.table-condensed.table-detailed .table-inline td {
    border: none;
    text-align: left;
}

.table.table-borderless > tbody > tr > td {
    border-bottom: 0px;
}

.fht-table {
    margin-bottom: 0 !important;
}

/* Data-tables
------------------------------------
*/
.table.dataTable.no-footer {
    border: none;
}

.dataTables_scroll:hover .dataTables_scrollBody:before {
    content: "";
    top: 0;
    height: 0;
}

.dataTables_scrollBody {
    overflow-y: auto;
    border: none !important;
}

.dataTables_scrollBody:before {
    content: "";
    position: absolute;
    left: 0;
    right: 0;
    top: 60px;
    bottom: 0;
    background: transparent;
}

.dataTables_wrapper .dataTables_paginate {
    float: right;
}

.dataTables_wrapper .dataTables_paginate ul > li.disabled a {
    opacity: .5;
}

.dataTables_wrapper .dataTables_paginate ul > li > a {
    padding: 5px 10px;
    color: #626262;
    -webkit-transition: opacity 0.3s ease;
    transition: opacity 0.3s ease;
    min-width: 37px;
    display: inline-block;
}

.dataTables_wrapper .dataTables_paginate ul > li > a:hover {
    opacity: .65;
}

.dataTables_wrapper .dataTables_paginate ul > li.next > a,
.dataTables_wrapper .dataTables_paginate ul > li.prev > a {
    opacity: 1;
}

.dataTables_wrapper .dataTables_paginate ul > li.disabled a {
    opacity: .35;
}

.dataTables_wrapper .dataTables_paginate ul > li.disabled a:hover {
    opacity: .35;
}

.dataTables_wrapper .dataTables_info,
.dataTables_wrapper .dataTables_paginate {
    margin-top: 25px !important;
}

.dataTables_paginate.paging_bootstrap.pagination {
    padding-top: 0;
    padding-right: 20px;
}

.dataTables_wrapper .dataTables_info {
    clear: none;
    font-size: 12px;
    padding: 0 33px;
    color: #626262;
}

.dataTables_wrapper .dataTables_paginate ul > li {
    display: inline-block;
    padding-left: 0;
    font-size: 11px;
}

.dataTables_scrollHeadInner {
    padding-right: 0 !important;
}

.export-options-container {
    position: relative;
}

.dataTables_wrapper .dataTables_paginate ul > li.active > a {
    font-weight: bold;
    color: #626262;
    opacity: 1;
}

.export-options-container a {
    color: inherit;
    opacity: 1;
}

.exportOptions .DTTT.btn-group a {
    display: block !important;
}

table.dataTable thead .sorting_asc:after {
    background-image: url("../img/icons/sort_asc.png") !important;
}

table.dataTable thead .sorting_desc:after {
    background-image: url("../img/icons/sort_desc.png") !important;
}

table.dataTable thead .sorting:after {
    background-image: url("../img/icons/sort_both.png");
}

table.dataTable thead .sorting_asc_disabled:after {
    background-image: url("../img/icons/sort_asc_disabled.png") !important;
}

table.dataTable thead .sorting_desc_disabled:after {
    background-image: url("../img/icons/sort_desc_disabled.png") !important;
}

table.dataTable thead .sorting:after,
table.dataTable thead .sorting_asc:after,
table.dataTable thead .sorting_desc:after,
table.dataTable thead .sorting_asc_disabled:after,
table.dataTable thead .sorting_desc_disabled:after {
    bottom: 12px;
    content: "";
    width: 19px;
    height: 19px;
    background-position: center center;
    opacity: 1;
}

table.dataTable.table-condensed .sorting:after,
table.dataTable.table-condensed .sorting_asc:after,
table.dataTable.table-condensed .sorting_desc:after {
    top: 12px;
}

/* Responsive Handlers : Tables */
@media (max-width: 991px) {
    .dataTables_wrapper .dataTables_info {
        float: left;
    }

    .dataTables_paginate.paging_bootstrap.pagination {
        float: right;
    }
}

@media (max-width: 767px) {
    .table-responsive {
        border: 1px solid #ddd;
    }
}

@media (max-width: 480px) {
    .dataTables_wrapper .dataTables_info,
    .dataTables_wrapper .dataTables_paginate {
        float: none;
        text-align: left;
        clear: both;
        display: block;
    }
}

/* Demo classes */
.demo-table-search thead th:nth-child(1) {
    width: 20%;
}

.demo-table-search thead th:nth-child(2) {
    width: 22%;
}

.demo-table-search thead th:nth-child(3) {
    width: 24%;
}

.demo-table-search thead th:nth-child(4) {
    width: 15%;
}

.demo-table-search thead th:nth-child(5) {
    width: 19%;
}

.demo-table-dynamic thead th:nth-child(1) {
    width: 25%;
}

.demo-table-dynamic thead th:nth-child(2) {
    width: 30%;
}

.demo-table-dynamic thead th:nth-child(3) {
    width: 20%;
}

.demo-table-dynamic thead th:nth-child(4) {
    width: 25%;
}

.table-invoice th {
    border-top: 0;
}

.dataTables_wrapper .row {
    width: 100%;
}

.dataTables_wrapper .row > div {
    display: flex;
    justify-content: space-between;
    width: 100%;
    flex-direction: row-reverse;
}

.dataTables_wrapper#tableWithDynamicRows_wrapper > div {
    width: 100%;
}

div.dataTables_wrapper div.dataTables_filter input {
    margin-left: .5em;
    display: inline-block;
    width: 420px;
    min-width: 420px;
}
